# 5 Minute Quick Start

1\. Visit <https://app.rep.ai> to grab your API key. If you haven't yet created an account, you'll need to do that first. After you sign-up, you'll see your API key first in the onboarding, and then in [your widget settings at the bottom](https://app.rep.ai/settings/widget?expand=install).

2\. Integrate Rep.ai into your web app with NPM/Yarn or a script tag. Rep.ai runs entirely in the browser.&#x20;

{% tabs %}
{% tab title="Script Tag" %}
Paste the following script **at the very top** of of the `<head>` of your site.

```markup
<script>
  !function(w,d){function e(e,n){w.RepAI.q=w.RepAI.q||[],w.RepAI.q.push([e,n])}if(!w.RepAI){var t=function(n){for(var t=arguments.length,i=new Array(t>1?t-1:0),r=1;r<t;r++)i[r-1]=arguments[r];e(n,i)};["init","identify","dial","alert","bookMeeting","hide","show","expand","collapse","connect","disconnect"].forEach((function(i){t[i]=function(){for(var t=arguments.length,i=new Array(t),r=0;r<t;r++)i[r]=arguments[r];e(n,i)}})),w.RepAI=t}var s=d.createElement("script");s.id="rep-ai-script",s.src="https://cdn.servicebell.com/main.js",s.async=1;var i=d.getElementsByTagName("script")[0];i.parentNode.insertBefore(s,i)}(window,document);
  RepAI("init", "<YOUR_CLIENT_KEY_HERE>", { mode: "iframe-jit" });
</script>
```

{% endtab %}

{% tab title="NPM/Yarn" %}
Install the package via NPM:

```bash
# NPM
npm install --save @repai/widget

# Yarn
yarn add @repai/widget
```

Import `RepAI` and call `RepAI.init()` with your configuration options

```typescript
import RepAI from "@repai/widget";
RepAI("init", "YOUR_CLIENT_KEY_HERE");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rep.ai/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
